package cz.cvut.and.tutorial08;

import android.app.Activity;
import android.content.SharedPreferences;
import android.net.Uri;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.webkit.WebSettings;
import android.webkit.WebView;

public class CustomWebActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		WebView webView = new WebView(this);
		setContentView(webView);

		SharedPreferences preferences = PreferenceManager
				.getDefaultSharedPreferences(this);
		boolean javascript = preferences.getBoolean(
				CustomPreferenceActivity.PREFERENCE_KEY_JAVASCRIPT, true);
		int fontSize = Integer.parseInt(preferences.getString(
				CustomPreferenceActivity.PREFERENCE_KEY_FONT_SIZE, "12"));

		WebSettings settings = webView.getSettings();
		settings.setJavaScriptEnabled(javascript);
		settings.setDefaultFontSize(fontSize);

		Uri uri = getIntent().getData();
		if (uri != null) {
			webView.loadUrl(uri.toString());
		} else {
			finish();
		}

		// Sem doplnte kod k bonusu 1
	}

}
