package cz.cvut.and.tutorial08;

import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

public class Tutorial08Activity extends Activity {

	private static final String PREFERENCE_KEY_FIRST_START = "first_start";

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		setContentView(R.layout.main);

		SharedPreferences sharedPref = PreferenceManager
				.getDefaultSharedPreferences(this);
		boolean firstStart = sharedPref
				.getBoolean(PREFERENCE_KEY_FIRST_START, true);
		if (firstStart) {
			Toast.makeText(this, R.string.welcome, Toast.LENGTH_LONG).show();
			sharedPref.edit().putBoolean(PREFERENCE_KEY_FIRST_START, false).commit();
		}

		Button btnSettings = (Button) findViewById(R.id.btnSetting);
		btnSettings.setOnClickListener(new View.OnClickListener() {
			public void onClick(View v) {
				startActivity(new Intent(Tutorial08Activity.this,
						CustomPreferenceActivity.class));
			}
		});
	}

}
